#ifndef AUDIOWIDGET_H
#define AUDIOWIDGET_H

#include <QObject>
#include <QWidget>
#include <QVBoxLayout>
#include "audiomasterwidget.h"
#include "audiolayerwidget.h"
#include "defines.h"
#include "settings.h"

#include "SFML/Audio/SoundSource.hpp"

class AudioWidget : public QWidget
{
    friend class libreMediaServerAudio;

    Q_OBJECT

public:

protected:

    static AudioWidget *getInstance();
    void mediaLoaded(int layer, QString media );
    void volChanged(int layer, qreal vol);
    void playbackChanged(int layer, Status status);

private:

    static AudioWidget *_instance;
    AudioWidget();
    QHBoxLayout *layout;

signals:
    
public slots:

};

#endif // AUDIOWIDGET_H
